Get a campaign
curl --request GET \
--url https://api.eu.volubile.ai/v1/campaigns/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eu.volubile.ai/v1/campaigns/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eu.volubile.ai/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2024-07-30",
"timeSlots": [
{
"startTime": "10:30",
"endTime": "12:30"
}
],
"batchSize": 123,
"retry": {
"max": 1,
"delay": 123,
"retryOn": [
"<string>"
]
},
"days": [],
"timezone": "Europe/Paris"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}Campaigns
Get a campaign
GET
/
v1
/
campaigns
/
{id}
Get a campaign
Authorizations
Api keyBearer token
Your API key.
Path Parameters
Response
OK
Unique identifier of the campaign
Name of the campaign
Unique identifier of the agent to perform the campaign with
Start date of the campaign
Example:
"2024-07-30"
Timeslots of the campaign (when the calls will be performed during the day). Max 2 timeslots
Show child attributes
Show child attributes
The number of calls per...
Retry parameters when the contact cannot be reached
Show child attributes
Show child attributes
Days of the campaign
Days of the campaign
Available options:
MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY Status of the campaign
Available options:
ACTIVE, PAUSED, CANCELLED The timezone of the campaign
Example:
"Europe/Paris"
⌘I